最新の投稿

[解決]「ダイエー 特売 クーポンアプリ」がAndroid11で起動しない。

 「ダイエー 特売 クーポンアプリ」の最新版(バージョン 3.2.1)をAndroid 11で初期登録しようとすると先に進まず、利用規約に同意し、「はじめる」をクリックしても、TOP画面ではなく初期設定の画面に戻ってしまう。 レビューにも同じ問題が指摘されているが、いつまでも治り...

2007/08/28

MT4 + mod_perl2

Movable Typeを少しでも早く動かそうとmod_perlを導入することにした.
英語版の動作要件要件には
> Movable Type does not currently support execution under mod_perl with Apache 2.x.
http://www.movabletype.com/products/mt4.html

とあり, ダメかなと思ったけど, 試しにインストール.
emerge -uDN libapreq2
して,
/etc/conf.d/apache2のAPACHE2_OPTSに"-D PERL"を追加
"-D APREQ"が要るのかはよく分からないけど, 入れておいた.

つづいて, /etc/apache2/modules.d/の75_mod_perl.conf
不要そうな所はコメントアウトしつつ,

> PerlSwitches -I/data/www/localhost/cgi-bin/blog/lib -I/data/www/localhost/cgi-bin/blog/extlib
<Directory "/data/www/localhost/cgi-bin/blog">
   <Files mt-[^(config)]*.cgi$>
       SetHandler perl-script
    </Files>
  PerlResponseHandler ModPerl::Registry
 #PerlResponseHandler ModPerl::PerlRun
 Options -Indexes ExecCGI
 PerlSendHeader On
</Directory>


を追加.


PerlSwitchesの行を入れないと, モジュールが見つからないと文句を言われる.
<Files mt-[^(config)]*.cgi$>
のところを
<Files *.cgi>
としたら,
> Missing configuration file. Maybe you forgot to move mt-config.cgi-original to mt-config.cgi?

と文句を言われる.

これで多少は早くなったのかなぁ...

0 件のコメント: